
from odoo.upgrade import util

def migrate(cr, version):
    # online sync cleanup
    util.remove_record(cr, "openerp_enterprise.online_sync_update_inst_cron")
    util.remove_record(cr, "openerp_enterprise.online_sync_remove_old_user")
    util.remove_model(cr, "account.online.user")
    util.remove_model(cr, "account.online.institution")
    util.remove_view(cr, view_id=12466)  # account.online.institution.list (no xmlid)
    util.remove_view(cr, view_id=12467)  # account.online.institution.form (no xmlid)

    util.remove_model(cr, "openerp.enterprise.set_close")

    # left-over from PR 2728
    util.remove_field(cr, "access.control.wizard", "employee_id")

    # sale_down_payment_product_id removed in odoo/odoo@9aa52dd6418e
    with util.skippable_cm(), util.edit_view(cr, view_id=9745) as arch:
        for n in arch.xpath("//field[@name='sale_down_payment_product_id']"):
            n.getparent().remove(n)

    # allow employee/manager that are is different companies to see each others
    util.update_record_from_xml(cr, "hr.hr_employee_comp_rule")
    util.update_record_from_xml(cr, "hr.hr_employee_public_comp_rule")
